Package: org.gradle.tooling.model.build

## [Java] Interface BuildEnvironment

- org.gradle.tooling.model.build.BuildEnvironment

- All Superinterfaces:
    Model

  Informs about the build environment, like Gradle version or the Java home in use.

  Example:

       ProjectConnection connection = GradleConnector.newConnector()
          .forProjectDirectory(new File("someProjectFolder"))
          .connect();

       try {
          BuildEnvironment env = connection.getModel(BuildEnvironment.class);
          System.out.println("Gradle version: " + env.getGradle().getGradleVersion());
          System.out.println("Java home: " + env.getJava().getJavaHome());
       } finally {
          connection.close();
       }

  Since:
    1.0-milestone-8

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `GradleEnvironment` | `getGradle()` Returns information about the Gradle environment, for example the Gradle version.
    `JavaEnvironment` | `getJava()` Returns information about the Java environment, for example the Java home or the JVM args used.

- - ### Method Detail

    - #### public GradleEnvironment getGradle()

      Returns information about the Gradle environment, for example the Gradle version.

      Since:
        1.0-milestone-8

    - #### public JavaEnvironment getJava()

      Returns information about the Java environment, for example the Java home or the JVM args used.

      throws:
        UnsupportedMethodException For Gradle versions older than 1.0-milestone-8, where this method is not supported.
      Since:
        1.0-milestone-8